Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • May 07 20:55
    @bradrydzewski banned @izznogooood
atomi
@atomi
what's the rpc port for the new 1.0.0? is it still 9000?
Paul Reimer
@paulreimer
Where can we find the source for the 1.0.0 RC? I'm having trouble with private Gitea + Drone webhooks
Paul Reimer
@paulreimer
OK, I see that the source code (for 0.9 -> 1.0) is being developed privately (for now), and will be released later. [https://discourse.drone.io/t/drone-coming-with-limits-and-license/2652/7]
Paul Reimer
@paulreimer
I still want to get my Drone/Gitea working again (ideally with 1.0). I can login to Drone with my Gitea user/pw, and see all my (private+public) repos. Clicking "Activate" fails with "404 Not Found" for private repos, and "401 Unauthorized" if I use a public repo. If I (manually) use curl with a Gitea API token, and the same failed request path from Gitea logs, I do get a "200 OK" (maybe Drone isn't providing an API token when it should be?)
Depado
@Depado
{"level":"error","error":"Error response from daemon: client is newer than server (client API version: 1.33, server API version: 1.24)","repo":"Depado/bfchroma","build":1,"stage":1,"time":"2018-11-08T08:46:59Z","message":"execution failed"}
I'm facing this error with a fresh-install single-server Drone 1.0-rc
Depado
@Depado
Nevermind, Docker version mismatch :)
Brad Rydzewski
@bradrydzewski

If I (manually) use curl with a Gitea API token, and the same failed request path from Gitea logs, I do get a "200 OK" (maybe Drone isn't providing an API token when it should be?)

I tested with try.gitea.io with 1.0.0-rc.1 and was able to activate public and private repositories without any errors. Have you checked your gitea server logs to see why it failed? Maybe it gives you a better error message if you enable debug logging in gitea

typically an error activating a repository would tell me that you do not have adequate permission to create a webhook, which requires admin access to a repository. But your gitea logs should tell you more.
I would also recommend creating a thread at discourse.drone.io, so the conversation doesn't get buried in the chat history.
Christian Hoffmeister
@choffmeister
Hi. Just wanted to try out 1.0.0-rc.1 but I am having some issue. OAuth with GitHub seems to work. But when I get send back from GitHub to https://domain.com/authorize?code=XXX&state=XXX then I just see a white page. In the network tab of chrome I see, that he tries to make a GET https://domani.com/api/user but gets a back a 401. I also added an env var DRONE_USER_CREATE=username:choffmeister,machine:false,admin:true. Am I missing anything?
Christian Hoffmeister
@choffmeister

@bradrydzewski This is whay I see in details log output:

{"level":"debug","ip":"10.244.0.77","path":"/api/user","method":"GET","request_id":"bfi7qsbb631cqp0655g0","time":"2018-11-08T18:16:17Z","message":"authentication required"}
{"level":"debug","ip":"10.244.0.77","path":"/api/user","method":"GET","request_id":"bfi7qsbb631cqp0655g0","time":"2018-11-08T18:16:17Z","message":"guest access"}

Seems like my user is not created properly?

{"level":"debug","login":"choffmeister","admin":true,"machine":false,"token":"","time":"2018-11-08T18:15:43Z","message":"create user account"}
{"level":"info","login":"choffmeister","admin":true,"machine":false,"token":"","token":"XXXX","time":"2018-11-08T18:15:43Z","message":"successfully created account"}
Am manual request to /api/user with Authorization: Bearer XXXX (the token from the logs) works though. Looks like the frontend is just not passing the creds...
Christian Hoffmeister
@choffmeister
Ahhh my bad. Still had /authorize in my GitHub OAuth app as callback
Anyway: Reaaaaally nice work with the new interface :heart:
David Southwell
@southwel
I'm thinking about upgrading drone from 0.8.7 to 0.9 and or 1.0 rc, but I am curious if the database schema is compatible, or if I upgrade will I not be able to downgrade. I'm using postgres for my DB. Has anyone tried?
Christian Hoffmeister
@choffmeister
@southwel In my try (from 0.8.x to 1.0.x) not data were taken over
Brad Rydzewski
@bradrydzewski
a database migration utility is required, but is not complete. It will be prepared before 1.0-final. I'm also updating documentation today and will provide an upgrade guide (which will say don't do it, until the migration utility is ready)
ideally all of this would have been sorted out yesterday, but I had a 10am deadline and could only get some much done ... and then I needed a nap :)
Christian Hoffmeister
@choffmeister
@bradrydzewski Great work though. One more question: Is the CLI already available (without building it myself)?
Brad Rydzewski
@bradrydzewski
same install instructions as before, you can download a binary at https://github.com/drone/drone-cli/releases
is master branch 1.0 rc?
OK, I see that the source code (for 0.9 -> 1.0) is being developed privately (for now), and will be released later. [https://discourse.drone.io/t/drone-coming-with-limits-and-license/2652/7] nm. Sorry. I'll not use the latest..
David Southwell
@southwel
@choffmeister and @bradrydzewski Thanks for the info, and I see there's now some documentation that covers migration, very cool. I'm also toying with autoscaler on GCE. Any reason to require the use of external IP addresses for communication?